package com.nemock.ShowDurability1;

import java.io.File;

import com.nemock.ShowDurability1.core.handler.ConfigurationHandler;
import com.nemock.ShowDurability1.core.proxy.CommonProxy;
import com.nemock.ShowDurability1.lib.References;

import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.network.NetworkMod;

/**
 * ShowDurability1
 * 
 * ShowDurability1
 * 
 * @author Nemock Zans
 * 
 */

@Mod(
		modid= References.MOD_ID ,
		name = References.MOD_NAME,
		version = References.VERSION)

@NetworkMod(
		channels = {References.CHANNEL_NAME},
		serverSideRequired = false,
		clientSideRequired = true)

public class ShowDurability1
{
	@SidedProxy(
			clientSide = References.CLIENT_PROXY_LOCATION,
			serverSide = References.COMMON_PROXY_LOCATION)
	public static CommonProxy proxy;
	
	@EventHandler
	public void preInit(FMLPreInitializationEvent event)
	{
		ConfigurationHandler.init(event.getSuggestedConfigurationFile());
		proxy.registerEventHandler();
	}
	
	@EventHandler
	public void Init(FMLInitializationEvent event)
	{
	}
	
	@EventHandler
	public void postInit(FMLPostInitializationEvent event)
	{
	}
}