package com.nemock.ShowDurability1.core.handler;

import java.io.File;
import java.util.logging.Level;

import com.nemock.ShowDurability1.lib.References;
import com.nemock.ShowDurability1.lib.States;

import cpw.mods.fml.common.FMLLog;
import net.minecraftforge.common.Configuration;

public class ConfigurationHandler {

	public static Configuration config = new Configuration();

	public static void init(File file) {

		config = new Configuration(file);

		try {
			config.load();
			
			States.durFormat = config.get("Display", "Format", States.durFormat_DEFAULT).getString();
			States.durCaption = config.get("Display", "Caption", States.durCaption_DEFAULT).getString();
			States.color = config.get("Display", "Color", States.color_DEFAULT).getBoolean(States.color_DEFAULT);
			
		} catch (Exception e) {
			FMLLog.log(Level.SEVERE, e, References.MOD_ID
					+ " has trouble loading the config");
		} finally {
			config.save();
		}
	}

}
